- Base URL:
https://api.qa.tech/v1 - Authentication: Bearer token (project API token)
Authentication
Include your project’s API token in theAuthorization header:
List Applications
Retrieve all applications in your project. Endpoint:GET /applications
Response (200)
Response Fields
Application Fields
Example
List Environments
Retrieve all environments for a specific application. Endpoint:GET /applications/{applicationShortId}/environments
Path Parameters
Response (200)
Response Fields
Environment Fields
Example
Use Cases
Discovering IDs for API Calls
Use these endpoints to programmatically discover application and environment IDs:Dynamic Environment Selection in CI/CD
Error Responses
Error responses include a body:
{ "message": "Error description" }.
Related
- Start Run API – Use application/environment IDs to run tests
- Chat API – Use application overrides in chat conversations
- Applications and Environments – Learn about the application model
- API Introduction – Authentication and ID reference